{foreach from=$boardNodeList item=boardNode}
	{if !$boardNode->getBoard()->isCategory()}
		{assign var=isForeverAloneNode value=false}
		{cycle assign=boardNodeAlternate name=boardNodeAlternate values='wbbBoardNode1,wbbBoardNode2' print=false}
		
		{if $boardNode->getDepth() == 1}
			{if !$boardNode->hasVisibleChildren()}{assign var=isForeverAloneNode value=true}{/if}
			{cycle assign=boardNodeAlternate name=boardNodeAlternate reset=true print=false}
		{/if}
	{/if}
	
	{if $boardNode->getBoard()->isCategory()}
		<li data-board-id="{@$boardNode->getBoard()->boardID}" {if $boardNode->isCollapsible()}data-is-open="{if $boardNode->isOpen()}true{else}false{/if}" data-depth="{@$boardNode->getDepth()}" {/if}class="wbbCategory tabularBox tabularBoxTitle{if $boardNode->isCollapsible()} wbbCollapsibleCategory{/if}{if $boardNode->getUnreadThreads()} new{/if}{if $boardNode->getDepth() == 1} wbbBoardNodeTop{/if}">
			<header>
				<h2><a href="{link application='wbb' controller='Board' object=$boardNode->getBoard()}{/link}">{$boardNode->getBoard()->title|language}</a>{if $boardNode->getUnreadThreads()} <span class="badge badgeInverse">{#$boardNode->getUnreadThreads()}</span>{/if}</h2>
				{hascontent}<small>{content}{if $boardNode->getBoard()->descriptionUseHtml}{@$boardNode->getBoard()->description|language}{else}{$boardNode->getBoard()->description|language}{/if}{/content}</small>{/hascontent}
			</header>
	{else if $boardNode->getBoard()->isBoard()}
		<li data-board-id="{@$boardNode->getBoard()->boardID}" class="wbbBoardContainer{if $boardNode->getDepth() == 1} tabularBox wbbBoardNodeTop{/if}{if $isForeverAloneNode} wbbBoardNodeTopEmpty{/if}">
			<div class="{@$boardNodeAlternate} wbbBoard box32{if $boardNode->getUnreadThreads()} new{/if}">
				<span class="icon icon32 icon-folder-close{if !$boardNode->getUnreadThreads()}-alt{else} markAsRead{/if}"{if $boardNode->getUnreadThreads()} title="{lang}wbb.board.markAsRead.doubleClick{/lang}"{/if}></span>
				
				<div>
					<div class="containerHeadline">
						<h3><a href="{link application='wbb' controller='Board' object=$boardNode->getBoard()}{/link}">{$boardNode->getBoard()->title|language}</a>{if $boardNode->getUnreadThreads()} <span class="badge badgeUpdate">{#$boardNode->getUnreadThreads()}</span>{/if}</h3>
						<p class="wbbBoardDescription">{if $boardNode->getBoard()->descriptionUseHtml}{@$boardNode->getBoard()->description|language}{else}{$boardNode->getBoard()->description|language}{/if}</p>
					</div>
					
					{if WBB_BOARD_LIST_ENABLE_STATS}
						<div class="wbbStats">
							<dl class="plain statsDataList">
								<dt>{lang}wbb.thread.threads{/lang}</dt>
								<dd>{#$boardNode->getThreads()}</dd>
							</dl>
							<dl class="plain statsDataList">
								<dt>{lang}wbb.post.posts{/lang}</dt>
								<dd>{#$boardNode->getPosts()}</dd>
							</dl>
						</div>
					{/if}
					
					{if WBB_BOARD_LIST_ENABLE_LAST_POST && $boardNode->getLastPost()}
						<aside class="wbbLastPost">
							<div{if $boardNode->getLastPost()->getUserProfile()->getAvatar()} class="box24"{/if}>
								<a href="{link application='wbb' controller='Thread' id=$boardNode->getLastPost()->threadID title=$boardNode->getLastPost()->topic}action=firstNew{/link}" class="framed jsTooltip" title="{lang}wbb.thread.gotoFirstNewPost{/lang}">{@$boardNode->getLastPost()->getUserProfile()->getAvatar()->getImageTag(24)}</a>
								
								<div>
									<p>
										{if $boardNode->getLastPost()->hasLabels()}
											{assign var=label value=$boardNode->getLastPost()->getPrimaryLabel()}
											<span class="label badge{if $label->getClassNames()} {$label->getClassNames()}{/if}">{$label->label|language}</span>
										{/if}
										<a href="{link application='wbb' controller='Thread' id=$boardNode->getLastPost()->threadID title=$boardNode->getLastPost()->topic}action=firstNew{/link}" {if $boardNode->getLastPost()->getBoard()->getPermission('canReadThread')} class="wbbTopicLink"{/if} data-thread-id="{@$boardNode->getLastPost()->threadID}" data-sort-order="DESC">{$boardNode->getLastPost()->topic}</a>
									</p>
									<small>
										{if $boardNode->getLastPost()->lastPosterID}
											<a href="{link controller='User' id=$boardNode->getLastPost()->lastPosterID title=$boardNode->getLastPost()->lastPoster}{/link}" class="userLink" data-user-id="{@$boardNode->getLastPost()->lastPosterID}">{$boardNode->getLastPost()->lastPoster}</a>
										{else}
											{$boardNode->getLastPost()->lastPoster}
										{/if}
										
										- {@$boardNode->getLastPost()->lastPostTime|time}
									</small>
								</div>
							</div>
						</aside>
					{/if}
					
					{if WBB_BOARD_LIST_ENABLE_SUB_BOARDS && $boardNode->getSubBoards()|count}
						<ul class="wbbSubBoards">
							{foreach from=$boardNode->getSubBoards() item=subBoardNode}
								<li data-board-id="{@$subBoardNode->getBoard()->boardID}" class="box16{if $subBoardNode->getUnreadThreads()} new{/if}">
									<span class="icon icon16 icon-folder-close{if !$subBoardNode->getUnreadThreads()}-alt{else} markAsRead{/if}"></span>
									<div>
										<a href="{link application='wbb' controller='Board' object=$subBoardNode->getBoard()}{/link}">{$subBoardNode->getBoard()->title|language}</a>
										{if $subBoardNode->getUnreadThreads()}<span class="badge badgeUpdate">{#$subBoardNode->getUnreadThreads()}</span>{/if}
									</div>
								</li>
							{/foreach}
						</ul>
					{/if}
					
					{if MODULE_USERS_ONLINE && WBB_BOARD_LIST_ENABLE_ONLINE_LIST && $boardNode->getUsersOnline()|count}
						<div class="box16 wbbUsersOnline">
							<span class="icon icon16 icon-user" title="{lang}wcf.user.usersOnline{/lang}"></span>
							
							<ul class="dataList">
								{foreach from=$boardNode->getUsersOnline() item=user}
									<li><a href="{link controller='User' object=$user}{/link}" class="userLink" data-user-id="{@$user->userID}">{@$user->getFormattedUsername()}</a></li>
								{/foreach}
							</ul>
						</div>
					{/if}
					
					{event name='boardData'}
				</div>
			</div>
	{else}
		<li data-board-id="{@$boardNode->getBoard()->boardID}" class="wbbBoardContainer wbbExternalLink{if $boardNode->getDepth() == 1} tabularBox wbbBoardNodeTop{if $isForeverAloneNode} wbbBoardNodeTopEmpty{/if}{/if}">
			<div class="{@$boardNodeAlternate} wbbBoard box32">
				<span class="icon icon32 icon-globe"></span>
				
				<div>
					<div class="containerHeadline">
						<h3><a href="{link application='wbb' controller='Board' object=$boardNode->getBoard()}{/link}" class="jsTooltip" title="{lang}wbb.board.externalURL.title{/lang}">{$boardNode->getBoard()->title|language}</a></h3>
						<small class="wbbBoardDescription">{if $boardNode->getBoard()->descriptionUseHtml}{@$boardNode->getBoard()->description|language}{else}{$boardNode->getBoard()->description|language}{/if}</small>
					</div>
					
					{if WBB_BOARD_LIST_ENABLE_STATS}
						<div class="wbbStats">
							<dl class="plain statsDataList">
								<dt>{lang}wbb.board.clicks{/lang}</dt>
								<dd>{#$boardNode->getClicks()}</dd>
							</dl>
						</div>
					{/if}
					
					{event name='linkData'}
				</div>
			</div>
	{/if}
	
	{if $boardNode->hasVisibleChildren()}<ul>{else}</li>{/if}
		
	{if !$boardNode->hasVisibleChildren() && $boardNode->isLastSibling()}
		{@"</ul></li>"|str_repeat:$boardNode->getOpenParentNodes()}
	{/if}
{/foreach}
