<article class="message messageReduced">
	<div>
		<section class="messageContent">
			<div>
				<header class="messageHeader">
					<div class="box32">
						{if $post->getUserProfile()->userID}
							<a href="{link controller='User' object=$post->getUserProfile()->getDecoratedObject()}{/link}" class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</a>
						{else}
							<span class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</span>
						{/if}
						
						<div class="messageHeadline">
							<h1><a href="{@$post->getLink()}">{$post->getTitle()}</a></h1>
							<p>
								<span class="username">{if $post->getUserProfile()->userID}<a href="{link controller='User' object=$post->getUserProfile()->getDecoratedObject()}{/link}">{$post->getUsername()}</a>{else}{$post->getUsername()}{/if}</span>
								{@$post->getTime()|time}
							</p>
						</div>
					</div>
				</header>
				
				<div class="messageBody">
					<div>
						<div class="messageText">
							{@$post->getFormattedMessage()}
						</div>
					</div>
					
					<footer class="messageOptions">
						<nav class="jsMobileNavigation buttonGroupNavigation">
							<ul class="smallButtons buttonGroup">{*
								*}{if $post->getThread()->canEditPost($post->getDecoratedObject())}<li><a href="{link application='wbb' controller='PostEdit' id=$post->postID}{/link}" title="{lang}wbb.post.edit{/lang}" class="button jsMessageEditButton"><span class="icon icon16 icon-pencil"></span> <span>{lang}wcf.global.button.edit{/lang}</span></a></li>{/if}{*
								*}{if LOG_IP_ADDRESS && $post->ipAddress && $__wcf->session->getPermission('admin.user.canViewIpAddress')}<li class="jsIpAddress jsOnly" data-post-id="{@$post->postID}"><a title="{lang}wbb.post.ipAddress{/lang}" class="button jsTooltip"><span class="icon icon16 icon-globe"></span> <span class="invisible">{lang}wbb.post.ipAddress{/lang}</span></a></li>{/if}{*
								*}{if MODULE_USER_INFRACTION && $post->getUserProfile()->userID && $__wcf->session->getPermission('mod.infraction.warning.canWarn') && !$post->getUserProfile()->getPermission('mod.infraction.warning.immune')}<li class="jsWarnPost jsOnly" data-object-id="{@$post->postID}" data-user-id="{@$post->getUserProfile()->userID}"><a title="{lang}wcf.infraction.warn{/lang}" class="button jsTooltip"><span class="icon icon16 icon-legal"></span> <span class="invisible">{lang}wcf.infraction.warn{/lang}</span></a></li>{/if}{*
								*}<li class="toTopLink"><a href="{@$__wcf->getAnchor('top')}" title="{lang}wcf.global.scrollUp{/lang}" class="button jsTooltip"><span class="icon icon16 icon-arrow-up"></span> <span class="invisible">{lang}wcf.global.scrollUp{/lang}</span></a></li>{*
								*}{event name='messageOptions'}{*
							*}</ul>
						</nav>
					</footer>
				</div>
			</div>
		</section>
	</div>
</article>

<script data-relocate="true" src="{@$__wcf->getPath()}js/WCF.Infraction{if !ENABLE_DEBUG_MODE}.min{/if}.js?v={@$__wcfVersion}"></script>
<script data-relocate="true">
	//<![CDATA[
	$(function() {
		WCF.Language.addObject({
			'wbb.post.ipAddress.title': '{lang}wbb.post.ipAddress.title{/lang}',
			'wcf.infraction.warn': '{lang}wcf.infraction.warn{/lang}',
			'wcf.infraction.warn.success': '{lang}wcf.infraction.warn.success{/lang}'
		});
		new WCF.Infraction.Warning.Content('com.woltlab.wbb.warnablePost', '.jsWarnPost');
		{if LOG_IP_ADDRESS && $__wcf->session->getPermission('admin.user.canViewIpAddress')}new WBB.Post.IPAddressHandler();{/if}
	});
	//]]>
</script>